<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib prefix="tag" tagdir="/WEB-INF/tags" %>

<html>
<head>
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
    <title>Twitter Sign In</title>
	<style type="text/css">

		.container {
			font-family:tahoma;
			width:100%;
			background-color:white;
			text-align:center;
		}

		#auth-info {
			margin: 0px auto;
			width:600px;
			text-align:left;
			font-size:14px;
		}
		
		b {
			font-weight:normal;
			color:blue;
		}
		
		i {
			font-weight:bold;
			font-size:20px;
			text-transform:capitalize;
		}

		#logout {
			margin: 0px auto;
			width:80px;
			height:23px;
			background-color: blue; 
			color:white;
		}
		
		#tweet {
			vertical-align:top;
			width:80px;
			height:40px; 
			color:#666666;
		}			

		#tweet-sent {
			margin: 0px auto;
			vertical-align:top;
			padding:3px;
			width:80px;
			height:25px; 
			background-color:rgb(181,230,29);
			color:#666666;
		}			
		
	</style>
    
</head>
<body>

<div class="container">
	<h1>Twitter Login</h1>
	<br/>
	
<tag:notloggedin>
    <a href="login"><img src="./pics/twitter_login.png"/></a>
</tag:notloggedin>

    <%if(null != session.getAttribute("tweetSent")){
    	session.setAttribute("tweetSent",false);
    %>
    	<div id="tweet-sent">Tweet Sent</div>
    	<br/>
    <%}%>

	<tag:loggedin>    
		<div id="auth-info">
			<img src="${twitterUser.profileImageUrl}">&nbsp;<i>${twitterUser.name}</i>
			<br/><br/>
			<b>Id: </b>${twitterUser.id}<br/>
			<b>Full Name: </b>${twitterUser.name}<br/>
			<b>Email: </b>Twitter does not provide this!<br/>
			<b>Screen Name: </b>${twitterUser.screenName}<br/>
			<b>Location: </b>${twitterUser.location}<br/>
			<b>User Web Site: </b>${twitterUser.userWebSite}<br/>
			<b>Profile Created On: </b>${twitterUser.createdAt}<br/>			
			<b>Followers Count: </b>${twitterUser.followersCount}<br/>
			<b>Friends Count: </b>${twitterUser.friendsCount}<br/>
			<b>Favourites Count: </b>${twitterUser.favouritesCount}<br/>
			<b>Statuses Count</b>${twitterUser.statusesCount}<br/>
			<b>Listed Count: </b>${twitterUser.listedCount}<br/>
			<b>TimeZone: </b>${twitterUser.timeZone}<br/>
			<b>UTC Offset: </b>${twitterUser.utcOffset}<br/>
			<b>Language: </b>${twitterUser.lang}<br/>
			<b>Background Image URL: </b>${twitterUser.profileBackgroundImageUrl}<br/>
			<b>Profile Image URL: </b>${twitterUser.profileImageUrl}<br/>
			<br/><br/>	
		</div>
		
		<div>
		<form action="./post" method="post">
		    <textarea cols="60" rows="2" name="text"></textarea>&nbsp;&nbsp;
		    <input id="tweet" type="submit" name="post" value="Tweet"/>
		</form>
		</div>
		
		<a href="./logout">
			<div id="logout">
				Logout
			</div>
		</a>    
	</tag:loggedin>
	<br/><br/>	
	<p><a href="http://twitter4j.org/en/index.html" target="_blank">Thanks to Twitter4j.</a></p>
</div>


</body>
</html>

